/*global Slogan, CmsTestUtility, expect, describe, it, beforeEach, PreviewHelper */

describe('SloganWordPressTest ', function() {
    'use strict';
    var control, themeController;

    var testData = {
        content: 'Just another WordPress site'
    };

    CmsTestUtility.controlSetUp();

    beforeEach(function () {
        themeController = window.editor.themeController;
        control = new Slogan();
    });

    // Disabled. See DR-6603
    it('Html test', function() {
        themeController.addToControls("/controls/Slogan", control);
        window.editor.templatesController.currentTemplate.BaseTemplate.body.items.push("/controls/Slogan");
        CmsTestUtility.getPreviewAfterFullExport(function(error, previewDocument) {
            var dom = $(PreviewHelper.getDataIdSelector(control.dataId), previewDocument);
            expect(dom.text().trim()).toMatch(testData.content);
        });
    });
});